format_version: v1.0
type: UniqueComponent
attributes: {id: usart1}
children:
- type: Symbols
  children:
  - type: Integer
    attributes: {id: BRG_VALUE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: '81'}
  - type: Comment
    attributes: {id: USART_BAUD_WARNING}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'false'}
  - type: Integer
    attributes: {id: USART_CLOCK_FREQ}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: '150000000'}
  - type: Boolean
    attributes: {id: USART_INTERRUPT_MODE_ENABLE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: 'true'}
  - type: KeyValueSet
    attributes: {id: USART_MODE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: readOnly}
        children:
        - {type: Value, value: 'true'}
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: '0'}
  - type: Comment
    attributes: {id: USART_NVIC_ENABLE_COMMENT}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'false'}
  - type: KeyValueSet
    attributes: {id: USART_OPERATING_MODE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: readOnly}
        children:
        - {type: Value, value: 'true'}
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: '1'}
  - type: Boolean
    attributes: {id: USART_RING_BUFFER_MODE_ENABLE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: 'false'}
  - type: Integer
    attributes: {id: USART_SPI_BRG_VALUE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: usart1, value: '150'}
- type: Attachments
  children:
  - type: DirectCapability
    attributes: {id: USART1_SPI}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'false'}
  - type: DirectCapability
    attributes: {id: USART1_UART}
    children:
    - type: Attributes
      children:
      - type: String
        attributes: {id: targetComponentID}
        children:
        - {type: Value, value: drv_usart_0}
      - type: String
        attributes: {id: targetAttachmentID}
        children:
        - {type: Value, value: drv_usart_UART_dependency}
- type: ElementPosition
  attributes: {x: '638', y: '392', id: usart1}
